Download it now!
Bug 104633 - Image doesn't retain dimensions after a copy and paste
Summary: Image doesn't retain dimensions after a copy and paste
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste Writer-Images Image-DPI
  Show dependency treegraph
 
Reported: 2016-12-13 11:33 UTC by Telesto
Modified: 2019-12-07 03:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (72.17 KB, application/vnd.oasis.opendocument.text)
2016-12-13 11:34 UTC, Telesto
Details
Resulting paste (22.74 KB, application/pdf)
2016-12-13 11:35 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2016-12-13 11:33:41 UTC
Description:
Image increases in size after a copy and paste

Steps to Reproduce:
1.Open attached file in Writer
2.Create a new Writer document
3.Copy Image 'llustration 1' of attached file.
4.Paste it to the new Writer document

Actual Results:  
Quite a large image gets pasted in LibO (but not in Word)

Expected Results:
Image stays the same size


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 5.4.0.0.alpha0+
Build ID: ba6b35fc68a01aff72b39eb7809bacb326068668
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-12-13_06:07:39
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2016-12-13 11:34:58 UTC
Created attachment 129571 [details]
Example file
Comment 2 Telesto 2016-12-13 11:35:25 UTC
Created attachment 129572 [details]
Resulting paste
Comment 3 Xisco Faulí 2016-12-13 12:01:33 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2016-07-12 19:31:52 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2016-07-12 19:33:11 (GMT)
commit	962e0bb4b31265b046fe4fb57d3087e20f5fe4ef (patch)
tree	f8c26aebac957317c5a3cab4e1c3351ecb5ce435
parent	60a465026f4db1e05f771d9e6f422d7063b0ccd4 (diff)
Related: rhbz#1351369 gtk3 clipboards have to live to end once created
like the other platforms do

Adding Cc: to Caolán McNamara
Comment 4 Caolán McNamara 2016-12-13 12:26:53 UTC
That regression bisect seems very odd, the reported platform is
"CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; "
and the commit is a gtk3 specific one
Comment 5 Xisco Faulí 2016-12-13 12:30:10 UTC
I was a bit surprised as well but at least in my PC it's reproducible from that commit on. I double checked it doing git checkout HEAD~1
Comment 6 Xisco Faulí 2016-12-13 12:32:19 UTC
I can reproduce it in

Version: 5.4.0.0.alpha0+
Build ID: 634589b340316ba64b731b4d923c1056be415494
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Version: 5.4.0.0.alpha0+
Build ID: 634589b340316ba64b731b4d923c1056be415494
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group


Version: 5.4.0.0.alpha0+
Build ID: 634589b340316ba64b731b4d923c1056be415494
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 7 Xisco Faulí 2016-12-13 12:35:59 UTC
ok, I've just realized that 962e0bb4b31265b046fe4fb57d3087e20f5fe4ef arose the problem in gtk3 but it was present in other platforms before...
Comment 8 Xisco Faulí 2016-12-13 12:54:12 UTC
checking with gtk+, it looks like this issue has been like that since OpenOffice.
@Caolan, sorry for the noise.
Comment 9 QA Administrators 2017-12-19 03:33:02 UTC Comment hidden (obsolete)
Comment 10 Roman Kuznetsov 2018-12-06 20:37:00 UTC
still repro in

Версия: 6.2.0.0.beta1 (x64)
ID сборки: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
Потоков ЦП: 4; ОС:Windows 10.0; Отрисовка ИП: GL; VCL: win; 
Локаль: ru-RU (ru_RU); UI-Language: ru-RU
Calc: CL
Comment 11 QA Administrators 2019-12-07 03:43:30 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug